Skip to main content
POST
/
generate-pdf
curl --request POST \
  --url https://api.getcurrent.ca/v1/generate-pdf \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "searchId": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
}
'
{
  "meta": {
    "searchId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "verificationId": null,
    "generatedAt": "2026-02-21T12:00:00.000Z",
    "generatedBy": "user@example.com",
    "name": "Shopify Inc",
    "status": "completed",
    "duration": 14200
  },
  "report": {
    "url": "https://abc.supabase.co/storage/v1/object/sign/business-documents/tenant/search-id/search-report/Shopify-Inc-Current-Business-Report.pdf?token=...",
    "filename": "Shopify-Inc-Current-Business-Report.pdf",
    "expiresAt": "2031-02-21T00:00:00.000Z"
  }
}

Authorizations

Authorization
string
header
required

API key as Bearer token: Authorization: Bearer cur_live_xxxxx

Body

application/json
searchId
string<uuid>
required

The ID of the search to generate a PDF for. This is returned as meta.searchId in the response from POST /search. Mutually exclusive with verificationId.

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

verificationId
string<uuid>

The ID of the verification to generate a PDF for. This is returned as meta.verificationId in the response from POST /verify. Mutually exclusive with searchId.

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

Response

PDF generated and uploaded successfully

meta
object
required
report
object
required